<!-- thymeleaf의 반복문, 블록, 조건문 사용하기 -->

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>

    <h1>반복문</h1>
    <ul>
        <li th:each="dto : ${list}">
            [[${dto}]]
        </li>
    </ul>

    <h1>반복문의 반복상태</h1>
    <ul>
        <li th:each="dto, status : ${list}">  <!-- 두번째 파라미터로 반복상태를 꺼냄 -->
            [[${status}]] <!-- index, count(1부터시작), size 크기, current 현재객체 -->
        </li>
    </ul>

    <h1>블록태그</h1>
    <th:block th:each="dto: ${list}"> <!-- 블록태그 사용하며 반복처리 -->
        <p>[[${dto}]]</p> <!-- 블록태그를 사용하면 여러가지 하위태그를 넣을 수 있음 -->
		<span>[[${dto}]]</span>
    </th:block>


    <h1>조건문</h1>
    <th:block th:each="dto: ${list}">
        <span th:if="${dto.no == 2}" th:text="${dto}"></span> <!-- 조건을 만족하는 경우 -->
<!--        <p th:unless="${dto.no == 2}" th:text="${dto}"></p> --> <!-- 조건을 만족하지 않는 경우 -->
    </th:block>

    <h1>삼항연산자</h1>
    <th:block th:each="dto: ${list}">
        <span th:text="${dto.no==2}?${dto.no}:---"></span> <!-- 두번째 요소라면 번호를 출력하고 아니라면 --으로 출력 -->
    </th:block>

</body>
</html>